curl --request PATCH \
--url https://api.quiva.ai/hub/collections/{collection_type}/{collection_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "ms.hub.config.collection.node.805092869",
"description": "Updated: Payment and billing node templates for all transaction types"
}
'{
"message": "success"
}{
"error": "a subject is required"
}{
"error": "collection does not exists"
}Collections
Update a Workflow or Node collection
Updates an existing collection’s properties
PATCH
/
hub
/
collections
/
{collection_type}
/
{collection_topic}
curl --request PATCH \
--url https://api.quiva.ai/hub/collections/{collection_type}/{collection_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "ms.hub.config.collection.node.805092869",
"description": "Updated: Payment and billing node templates for all transaction types"
}
'{
"message": "success"
}{
"error": "a subject is required"
}{
"error": "collection does not exists"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
List only 'node' or only 'workflow' collections. If this parameter is omitted, both will be listed
Available options:
node, workflow The topic is a hash of the name that was used when a collection was created
Body
application/json
Response
Collection updated successfully
Success message